<?php
//include("../conexion.php");	
//
include("../cls_conexion.php");
$CNN=new ClsMySQL();
include("../conexion23.php");
//
$CM=V($_GET['CM']);
$P1=V($_GET['P1']);
$P2=V($_GET['P2']);
$P3=V($_GET['P3']);
$P4=V($_GET['P4']);
$P5=V($_GET['P5']);
$P6=V($_GET['P6']);
$P7=V($_GET['P7']);	
$P8=V($_GET['P8']);	
$P9=V($_GET['P9']);
//++++++
//return dd-mm-yy
function FEC_ADD_L($StrFecDMA,$lpDias,$lpMeses,$lpAnios){
	$StrDia=vbmid($StrFecDMA,1,2);	
	$StrMes=vbmid($StrFecDMA,4,2);	
	$StrAni=vbmid($StrFecDMA,7,2);	
	$StrAni=$StrAni+2000;
	$Fecha = mktime(0, 0, 0, $StrMes+$lpMeses, $StrDia+$lpDias,$StrAni +$lpAnios);
	$StrFechaA= date("d-m-y", $Fecha);
	return $StrFechaA;
}
//
function RC_MES_ANIO_PD($MES,$ANIO){
	$FEC="01"."-".vbr("00".$MES,2)."-".vbr("00".$ANIO,2);
	return $FEC;
}
//FEC_ADD($StrFecDMA,$lpDias,$lpMeses,$lpAnios)
function RC_MES_ANIO_UD($MES,$ANIO){	
	$FEC=FEC_ADD_L(RC_MES_ANIO_PD($MES,$ANIO),0,1,0);
	$FEC=FEC_ADD_L($FEC,-1,0,0);
	return $FEC;	
}
//++++++
if($CM=="PROYECTAR"){
	$ID=vbval($P1);
	$DIA=vbval($P2);
	//
	$r=gr("vis_ventas_control","ID=".$ID);
	$KOD=$r['ID'];
	$EWP=$r['EMP_'];
	$MES=$r['MES_'];
	$ANI=$r['ANI_'];
	$TOT=$r['TOT'];
	$UDM=vbmid(RC_MES_ANIO_UD($MES,$ANI - 2000),1,2);
	//++	
	$SUM_TOT=round(gn("SUM(TOT)","vis_ventas_control_ex",
				   "ANU='N' AND YEAR(FEC)=$ANI AND MONTH(FEC)=$MES AND EMP_ID=$EWP AND DAY(FEC)<=$DIA "),3);
	$SUM_NDC=round(gn("SUM(TOT)","vis_fe_ventas_ex",
				  "COM_ID=5 AND ANU='N' AND YEAR(FEC)=$ANI AND MONTH(FEC)=$MES AND EMP_ID=$EWP AND DAY(FEC)<=$DIA "),3);		
//++					
//echo "TOTAL ".$SUM_TOT."<br>";
//echo "TOTAL ".$SUM_NDC."<br>";
//echo "EMP ".$EWP."<br>";
//echo "EMP ".$r['EMP']."<br>";
//echo "MES ".$r['MES']."<br>";
//echo "ANI ".$r['ANI_']."<br>";
//echo "UDM ".$UDM."<br>";
//++	  
	$SUM_TOT_M_NDC=round($SUM_TOT - $SUM_NDC,2);	
	$TOT_X_DIA=round($SUM_TOT_M_NDC / $DIA,2);
	$PROYECTADO=round($TOT_X_DIA * $UDM,2);
	$DIF=round($PROYECTADO - $TOT ,2);
	//++
	$s="UPDATE ventas_control 
		SET vc_p_dia='$P2',vc_p_tot=$PROYECTADO,vc_p_dif=$DIF WHERE id_vc=".$ID;
	ejt($s);
	//++
	echo "|OK|".$P2."|".NF2($PROYECTADO,2)."|".NF2($DIF,2)."|";
	return;
	
}
?>